package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 订单
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
@Getter
@Setter
@TableName("order")
public class Order extends BasePo {

    /**
     * 订单号
     */
    private String code;

    /**
     * 万里牛订单号
     */
    private String wlnCode;

    /**
     * 快递单号
     */
    private String expressDeliveryCode;

    /**
     * 进度 1草稿 2订单待确认 3图稿未设计 4图稿已设计 5生产中 6生产完成 7已发货 8退款中 9已退款 10订单无效 11订单删除审核中
     */
    private Integer schedule;

    /**
     * 结算状态 1未结算 2已对账 3已结算
     */
    private Integer settlementStatus;

    /**
     * 电商平台 字典:commerce_platform
     */
    private String commercePlatform;

    /**
     * 订单总金额
     */
    private BigDecimal totalAmount;

    /**
     * 产品总金额
     */
    private BigDecimal productTotalAmount;

    /**
     * 定制加工费
     */
    private BigDecimal customProcessingFee;

    /**
     * 代发费
     */
    private BigDecimal lssueFee;

    /**
     * 快递包材费
     */
    private BigDecimal deliveryMaterialsFee;

    /**
     * 包装人工费
     */
    private BigDecimal packingLabor;

    /**
     * 包材费
     */
    private BigDecimal packagingMaterialCost;

    /**
     * 交期
     */
    private Date deliveryTime;

    /**
     * 下单时间
     */
    private Date orderTime;

    /**
     * 发货时间
     */
    private Date shippingTime;

    /**
     * 收货人
     */
    private String consignee;

    /**
     * 收货人电话
     */
    private String consigneeNumber;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 县
     */
    private String county;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 邮编
     */
    private String postcode;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 快递网点id
     */
    private String expressDeliveryId;

    /**
     * 备注
     */
    private String remark;

}
