package com.sd.business.service.department.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.department.dto.DepartmentDto;
import com.sd.business.entity.department.dto.DepartmentSelectDto;
import com.sd.business.entity.department.po.Department;
import com.sd.business.entity.department.vo.DepartmentVo;
import com.sd.business.mapper.department.DepartmentMapper;
import com.sd.business.service.department.DepartmentService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 事业部 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-05
 */
@Service
public class DepartmentServiceImpl extends ServiceImpl<DepartmentMapper, Department> implements DepartmentService {

    @Override
    public Page<DepartmentVo> getPage(DepartmentSelectDto dto) {
        IWrapper<Department> wrapper = getWrapper();
        wrapper.orderByDesc("d", Department::getId);
        Page<DepartmentVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public DepartmentVo detail(Long id) {
        Department Department = this.getById(id);
        DepartmentVo result = BeanUtil.toBean(Department, DepartmentVo.class);
        return result;
    }

    @Override
    public void add(DepartmentDto departmentDto) {
        this.save(departmentDto);
    }

    @Override
    public void edit(DepartmentDto departmentDto) {
        this.updateById(departmentDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
