package com.sd.business.service.order;

import com.sd.business.entity.order.po.Order;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.OrderVo;
import com.sd.business.entity.order.dto.OrderSelectDto;
import com.sd.business.entity.order.dto.OrderDto;

import java.util.List;

/**
 * <p>
 * 订单 服务类
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
public interface OrderService extends BaseService<Order> {

    /**
     * 订单列表
     */
    List<OrderVo> getList(OrderSelectDto dto);

    /**
     * 订单分页
     */
    Page<OrderVo> getPage(OrderSelectDto dto);

    /**
     * 订单明细
     */
    OrderVo detail(Long id);

    /**
     * 订单新增
     */
    void add(OrderDto orderDto);

    /**
     * 订单编辑
     */
    void edit(OrderDto orderDto);

    /**
     * 订单删除
     */
    void delete(Long id);

}
