package com.sd.business.service.order.impl;

import com.sd.business.entity.order.po.Order;
import com.sd.business.mapper.order.OrderMapper;
import com.sd.business.service.order.OrderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.OrderVo;
import com.sd.business.entity.order.dto.OrderSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.dto.OrderDto;
import cn.hutool.core.bean.BeanUtil;

import java.util.List;

/**
 * <p>
 * 订单 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
@Service
public class OrderServiceImpl extends ServiceImpl<OrderMapper, Order> implements OrderService {

    @Override
    public List<OrderVo> getList(OrderSelectDto dto) {
        IWrapper<Order> wrapper = getWrapper();
        wrapper.orderByDesc("o", Order::getId);
        List<OrderVo> list = this.baseMapper.getList(wrapper);
        return list;
    }

    @Override
    public Page<OrderVo> getPage(OrderSelectDto dto) {
        IWrapper<Order> wrapper = getWrapper();
        wrapper.orderByDesc("o", Order::getId);
        Page<OrderVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public OrderVo detail(Long id) {
        Order Order = this.getById(id);
        OrderVo result = BeanUtil.toBean(Order, OrderVo.class);
        return result;
    }

    @Override
    public void add(OrderDto orderDto) {
        this.save(orderDto);
    }

    @Override
    public void edit(OrderDto orderDto) {
        this.updateById(orderDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
