/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.sd.wln.entity;

import com.ruoyi.common.utils.sign.Md5Utils;
import com.sd.wln.constants.WlnConstant;
import lombok.Data;

import java.io.Serializable;

/**
 * 签名参数实体类
 *
 * @author BladeX
 * @since 2022-8-03
 */
@Data
public class Signature implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 请求键值
     */
    private String _app;

    /**
     * 时间戳
     */
    private Long _t;

    /**
     * 签名方法,支持 md5 和 hmac，默认 md5
     */
    private String _sign_kind;

    /**
     * 请求签名
     */
    private String _sign;

    /**
     * 授权码
     */
    private String _s;

    /**
     * 当前页码，从1开始
     */
    private Integer page;

    /**
     * 每页大小,最大200
     */
    private Integer limit;

    /**
     * 每页大小,最大200
     */
    private Long start_time;

    /**
     * 生成签名
     */
    public void generateSign(String param) {
        long time = System.currentTimeMillis();
        String str = WlnConstant.APP_SECRET
                + "_app=" + WlnConstant.APP_KEY + "&"
                + "_t=" + time + "&"
                + param
                + WlnConstant.APP_SECRET;

        _app = WlnConstant.APP_KEY;
        _sign = Md5Utils.hash(str);
        _t = time;
    }

}
